Loading...
Searching...
No Matches
Recipes

Recipe plugin interface definition. More...

## Classes

struct | _cpl_recipe_
| The type representation of the recipe plugin interface. More...

## Typedefs

typedef struct _cpl_recipe_ | cpl_recipe
| The recipe plugin data type.

## Detailed Description

Recipe plugin interface definition.

This defines the interface in order to implement recipes as Pluggable Data Reduction Modules (PDRMs). It extends the generic plugin interface with a parameter list and a frame set containing the recipe's setup information (parameters to run with) and the data frames to process.

This interface is constructed in such a way, that a pointer to an object of type `cpl_recipe` can be cast into a pointer to `cpl_plugin` (see Plugin Interface).

Synopsis:
  #include <cpl_recipe.h>

## Typedef Documentation

## cpl_recipe

typedef struct _cpl_recipe_ cpl_recipe

The recipe plugin data type.